Skip to main content
GET
/
api
/
v1
/
merchant
/
webhooks
/
notifications
List webhook notifications
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/merchant/webhooks/notifications \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "count": 123,
    "notification_list": [
      {
        "notificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "data": {
          "type": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "isAcknowledged": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Query Parameters

limit
integer
default:10

Number of records to return per page

Required range: x >= 1
offset
integer
default:0

Number of records to skip

Required range: x >= 0

Response

200 - application/json

Notification list

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)